| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
cv::GCPUContext Class Reference

`#include <opencv2/gapi/cpu/gcpukernel.hpp>`

Collaboration diagram for cv::GCPUContext:

## Public Member Functions
template<typename T >
const T & | inArg (int input)
const cv::Mat & | inMat (int input)
const cv::Scalar & | inVal (int input)
cv::MediaFrame & | outFrame (int output)
cv::Mat & | outMatR (int output)
template<typename T >
T & | outOpaqueR (int output)
cv::Scalar & | outValR (int output)
template<typename T >
std::vector< T > & | outVecR (int output)
GArg | state ()

## Protected Member Functions
detail::OpaqueRef & | outOpaqueRef (int output)
detail::VectorRef & | outVecRef (int output)

## Protected Attributes
std::vector< GArg > | m_args
std::unordered_map< std::size_t, GRunArgP > | m_results
GArg | m_state

## Friends
class | gimpl::GCPUExecutable

## Member Function Documentation

## ◆ inArg()

template<typename T >

const T & cv::GCPUContext::inArg | ( | int | input | ) |
| inline

## ◆ inMat()

const cv::Mat & cv::GCPUContext::inMat | ( | int | input | ) |

## ◆ inVal()

const cv::Scalar & cv::GCPUContext::inVal | ( | int | input | ) |

## ◆ outFrame()

cv::MediaFrame & cv::GCPUContext::outFrame | ( | int | output | ) |

## ◆ outMatR()

cv::Mat & cv::GCPUContext::outMatR | ( | int | output | ) |

## ◆ outOpaqueR()

template<typename T >

T & cv::GCPUContext::outOpaqueR | ( | int | output | ) |
| inline

## ◆ outOpaqueRef()

detail::OpaqueRef & cv::GCPUContext::outOpaqueRef | ( | int | output | ) |
| protected

## ◆ outValR()

cv::Scalar & cv::GCPUContext::outValR | ( | int | output | ) |

## ◆ outVecR()

template<typename T >

std::vector< T > & cv::GCPUContext::outVecR | ( | int | output | ) |
| inline

## ◆ outVecRef()

detail::VectorRef & cv::GCPUContext::outVecRef | ( | int | output | ) |
| protected

## ◆ state()

GArg cv::GCPUContext::state | ( |  | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ gimpl::GCPUExecutable

friend class gimpl::GCPUExecutable
| friend

## Member Data Documentation

## ◆ m_args

std::vector<GArg> cv::GCPUContext::m_args
| protected

## ◆ m_results

std::unordered_map<std::size_t, GRunArgP> cv::GCPUContext::m_results
| protected

## ◆ m_state

GArg cv::GCPUContext::m_state
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/cpu/gcpukernel.hpp